<template>
  <v-container
    fluid
    :class="
      $vuetify.breakpoint.smAndDown
        ? 'slideup-everywher pa-2'
        : 'slideup-everywher pr-12 pl-12'
    "
  >
    <v-row
      v-for="(hiring, i) in hire"
      :key="i"
      class=""
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'pa-3 pt-12 pb-12'
          : 'pt-12 mt-10 pb-10 pr-12 pl-12'
      "
    >
      <v-col cols="12">
        <h2 class="text-center">
          {{ hiring.title }}
        </h2>
      </v-col>
      <v-row justify="center" align="stretch" class="pt-10">
        <v-col v-for="(it, j) in hiring.list" :key="j" cols="12" md="6" lg="4">
          <v-card
            :max-width="$vuetify.breakpoint.smAndDown ? '310px' : '390px'"
            class="mx-auto"
            min-height="410px"
            color="blue lighten-5"
          >
            <v-subheader class="d-flex justify-center blue lighten-4 pa-2">
              <span>
                {{ it.title }}
              </span>
            </v-subheader>
            <v-list
              class="global-list blue lighten-5 ltr-me"
              :dense="$vuetify.breakpoint.smAndDown"
            >
              <v-list-item v-for="(item, m) in it.item" :key="m">
                <v-list-item-icon class="ml-1">
                  <v-icon> mdi-circle-medium </v-icon>
                </v-list-item-icon>
                <v-list-item-content>
                  <v-list-item-title>
                    {{ item }}
                  </v-list-item-title>
                </v-list-item-content>
              </v-list-item>
            </v-list>
          </v-card>
        </v-col>
      </v-row>
    </v-row>
  </v-container>
</template>
<script>
export default {
  name: 'JobPosition',
  computed: {
    hire() {
      return this.$t('aasaamjob.positions');
    },
  },
};
</script>
